import type { LinksFunction } from "@remix-run/node";
import {
  Links,
  LiveReload,
  Meta,
  Outlet,
  Scripts,
  ScrollRestoration,
} from "@remix-run/react";
import rootCss from "./root.css"
import { NextUIProvider } from "@nextui-org/react";
import NavbarCom from "./coms/navbar";

export const links: LinksFunction = () => [
  { rel: "stylesheet", href: rootCss},
  { rel: "icon", href: "./favicon.ico"}
];

export default function App() {
  return (
    <html lang="en">
      <head>
        <meta charSet="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <Meta />
        <Links />
      </head>
      <body className="h-screen">
        <NextUIProvider>
          <NavbarCom />
          <main className="h-content bg-background text-foreground flex justify-center items-center">
            <Outlet />
          </main>
          <ScrollRestoration />
          <Scripts />
          <LiveReload />
        </NextUIProvider>
      </body>
    </html>
  );
}
