import { Button, Input } from "@nextui-org/react";
import type { ActionFunctionArgs, LoaderFunctionArgs } from "@remix-run/node";
import { Form } from "@remix-run/react";
import { authenticator } from "~/services/auth.server";

export async function loader({ request }: LoaderFunctionArgs) {
    return await authenticator.isAuthenticated(request, {
      successRedirect: "/",
    });
};

export default function Auth() {
    return(
            <Form method="post">
                <div id="auth" className="m-auto w-[300px] flex flex-col gap-6">
                    <Input name="login" color="primary" label="login" placeholder="Enter your login"/>
                    <Input name="password" type="password" color="primary" label="password" placeholder="Enter your password"/>
                    <Button type="submit" color="primary" > Login</Button>
                </div>
            </Form>

    )
}
export async function action({ request }: ActionFunctionArgs) {
    return await authenticator.authenticate("user-auth", request, {
        successRedirect: "/",
        failureRedirect: "/login",
    });
};