import { Authenticator } from "remix-auth";
import { sessionStorage } from "~/services/session.server";
import { FormStrategy } from "remix-auth-form";
import bcrypt from "bcrypt";

interface User{
    login: string,
    password: string,
}

export let authenticator = new Authenticator<User>(sessionStorage);
const saltRounds = 9;

authenticator.use(
    new FormStrategy(async ({ form, context }) => {
        let username = <string>form.get("login");
        let password = <string>form.get("password");

        const user = {login: "null", password: "null"};
  
        return user;
    }), "user-login"
  );

authenticator.use(
    new FormStrategy(async ({ form, context }) => {
        let username = <string>form.get("login");
        let password = <string>form.get("password");

        let hashedPassword = "";
        await bcrypt.hash(password, saltRounds, (err, hash) => {
            if (err) {
                throw err;
            }
            hashedPassword = hash;
        });
  
        if (!hashedPassword) {
            throw "";
        }
        const user = {login: "null", password: "null"};
  
      return user;
    }), "user-auth"
  );