/** @type {import('tailwindcss').Config} */

import colors from "tailwindcss/colors";
import { nextui }  from "@nextui-org/react";

export const navbarHeight = "65px";

export default {
  content: [
    "./src/app/**/*.{js,jsx,ts,tsx}",
    "./node_modules/@nextui-org/theme/dist/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      height: {
        "navbar": navbarHeight,
        "content": `calc(100vh - ${navbarHeight})`,
      }
    },
  },
  darkMode: "class",
  plugins: [nextui({
    defaultTheme: "light",
    defaultExtendTheme: "light",
    themes: {
      light: {
        colors: {
          primary: {
            ...colors.orange,
            DEFAULT: colors.orange[500],
          },
          secondary: {
            ...colors.gray,
            DEFAULT: colors.gray[500],
          },
          warning: {
            ...colors.red,
            foreground: colors.white,
            DEFAULT: colors.red[500],
          }
        },
      },
      dark: {
        colors: {
        },
      },
    }
  })],
}

